Eclipse Draw2d 3.2

## org.eclipse.draw2d
Class EllipseAnchor

    java.lang.Object
      org.eclipse.draw2d.ConnectionAnchorBase
          org.eclipse.draw2d.AbstractConnectionAnchor
              org.eclipse.draw2d.EllipseAnchor

All Implemented Interfaces:
  AncestorListener, ConnectionAnchor

public class EllipseAnchor
extends AbstractConnectionAnchor

Similar to a `ChopboxAnchor`, except this anchor is located on the ellipse defined by the owners bounding box.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Field Summary

Fields inherited from class org.eclipse.draw2d.ConnectionAnchorBase
`listeners`

Constructor Summary
`EllipseAnchor()`
`EllipseAnchor(IFigure owner)`

Method Summary
`Point` `getLocation(Point reference)` Returns a point on the ellipse (defined by the owner's bounding box) where the connection should be anchored.

Methods inherited from class org.eclipse.draw2d.AbstractConnectionAnchor
`addAnchorListener, ancestorAdded, ancestorMoved, ancestorRemoved, getOwner, getReferencePoint, removeAnchorListener, setOwner`

Methods inherited from class org.eclipse.draw2d.ConnectionAnchorBase
`fireAnchorMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EllipseAnchor

    public EllipseAnchor()

See Also:
  `AbstractConnectionAnchor.AbstractConnectionAnchor()`

### EllipseAnchor

    public EllipseAnchor(IFigure owner)

See Also:
  `AbstractConnectionAnchor.AbstractConnectionAnchor(IFigure)`

Method Detail

### getLocation

    public Point getLocation(Point reference)

  Returns a point on the ellipse (defined by the owner's bounding box) where the connection should be anchored.

  Parameters:
    `reference` - The reference Point in absolute coordinates
  Returns:
    The anchor's location
  See Also:
    `ConnectionAnchor.getLocation(Point)`

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.